Overview | Modules | Class Hierarchy | Classes | Members

# Vector.h File Reference

`#include <cassert>`
`#include <tulip/Array.h>`
`#include "./cxx/Vector.cxx"`

Include dependency graph for Vector.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

- namespace tlp

## Classes

- class tlp::Vector
    class for mathematical vector More...

## Defines

- #define VECTOR Vector<TYPE,SIZE>
- #define TEMPLATEVECTOR template <typename TYPE, unsigned int SIZE>

## Functions

- TEMPLATEVECTOR VECTOR tlp::operator * (const VECTOR &, const VECTOR &)
- TEMPLATEVECTOR VECTOR tlp::operator * (const TYPE &, const VECTOR &)
- TEMPLATEVECTOR VECTOR tlp::operator * (const VECTOR &, const TYPE &)
- TEMPLATEVECTOR VECTOR tlp::operator+ (const VECTOR &, const VECTOR &)
- TEMPLATEVECTOR VECTOR tlp::operator+ (const VECTOR &, const TYPE &)
- TEMPLATEVECTOR VECTOR tlp::operator- (const VECTOR &, const VECTOR &)
- TEMPLATEVECTOR VECTOR tlp::operator- (const VECTOR &, const TYPE &)
- TEMPLATEVECTOR VECTOR tlp::operator/ (const VECTOR &, const VECTOR &)
- TEMPLATEVECTOR VECTOR tlp::operator/ (const VECTOR &, const TYPE &)
- TEMPLATEVECTOR VECTOR tlp::operator^ (const VECTOR &, const VECTOR &)
- TEMPLATEVECTOR VECTOR tlp::operator- (const VECTOR &)

## Define Documentation

#define TEMPLATEVECTOR template <typename TYPE, unsigned int SIZE>

#define VECTOR Vector<TYPE,SIZE>

Tulip Software by LaBRI Visualization Team 2001 - 2010